<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Improving the presentation</title><meta name="generator" content="DocBook XSL Stylesheets V1.68.1" /><link rel="start" href="index.html" title="Debian Community Guidelines" /><link rel="up" href="ch02.html" title="Chapter 2. Communication-specific guidelines" /><link rel="prev" href="ch02s02.html" title="Improving the content" /><link rel="next" href="ch02s04.html" title="Ensuring sustainability" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Improving the presentation</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch02s02.html">Prev</a> </td><th width="60%" align="center">Chapter 2. Communication-specific guidelines</th><td width="20%" align="right"> <a accesskey="n" href="ch02s04.html">Next</a></td></tr></table><hr /></div><div class="sect1" lang="en-us" xml:lang="en-us"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="comm-efficiency"></a>Improving the presentation</h2></div></div></div><p>
The way you present your content is also important.  There is no absolute "most
appropriate" way to present a content, but one has to choose what is better
depending on who are the readers and what is the goal of the discussion.
</p><p>
In the case of technical discussion, what most people want is to quickly and
efficiently find the best solution to a problem.  Follows a list of style
suggestions for contributing to a technical discussion:
</p><div class="itemizedlist"><ul type="disc"><li><p><span class="emphasis"><em>Put the main point at the beginning, and the long details later.</em></span></p><p>
    If people have to read through lots of text in order to get to the main point, they
    are likely to just skip the message if they are busy.
    </p><p>
    Hook the readers in by stating the main point right away instead of trying to create
    expectation and surprise.
    </p><p>
    You can even avoid posting about the long details and put them on
    <a href="http://wiki.debian.org" target="_top">the Debian wiki</a> instead.
    </p></li><li><p><span class="emphasis"><em>Talk with code or patches.</em></span></p><p>
    Wherever it is possible to use them, code or patches are the most efficient
    way of conveying technical information, and can also be used, applied or
    tested directly.
    </p><p>
    Often patches are the preferred writing style: technical people
    tend to like to read code more than they like to read English, except
    when English is written inside code comments.
    </p><p>
    Writing code is also useful to clear your own mind: while writing a piece
    of example code to show a problem, it is quite common to find the solution
    or to reframe the problem in a clearer way.
    </p><p>
    Finally, some things are harder to explain in English rather than with
    code: so if there is something you have problems saying in English, try to
    say it using your favourite programming language.
    </p></li><li><p><span class="emphasis"><em>Start new threads when asking new questions.</em></span></p><p>
    In Debian, most people are taking advantage of the "threading" feature of
    their mail programs.  This means that it is important for them that messages
    in a thread are connected with the main topic discussed in the thread.
    </p><p>
    If you want to post a message which is not a contribution to an existing
    thread, please create a new message to start a new thread instead of doing a
    reply.  This will show your message properly, and will not disrupt other
    discussions.
    </p></li><li><p><span class="emphasis"><em>Point to existing resources.</em></span></p><p>
    If a problem has already been solved or a point has already been made, you
    can greatly condense your message by just posting a link to it.
    </p><p>
    If the existing resource is not good enough, try to improve it: either in
    place (for example, if it is in a wiki) or by posting your further comments
    together with the link.
    </p></li><li><p><span class="emphasis"><em>Use a plain and simple style</em></span></p><p>People should spend their time answering your question or using your
    information, rather than understanding it.</p><p>To help it, try to keep formalities to a minimum and avoid confusing
    people with rethorics:
    </p><div class="itemizedlist"><ul type="circle"><li><p>ask questions without asking if you can ask or apoligising for
      asking.  This may be impolite in real life, but it is generally the
      preferred way online.</p></li><li><p>if you are not a native English speaker, you don't need to
      apologise for it: a minimal knowledge of the language is enough, as long
      as your mind is clear and you use a plain style.</p><p>If English makes it really hard for you, you can look for a Debian
      list where they speak your language.  Many of them are available in
      <a href="http://lists.debian.org/" target="_top">the list of FOO</a>.
      </p></li><li><p>Only ask a question if you want to know the answer: rethorical
      questions often come across as unnecessarily confrontational, so avoid
      them if you can.  If you have an opinion, just state it and ask for
      correction if needed.
      </p></li></ul></div><p>
    </p><p>
    There is of course place for advanced uses of language and style in Debian:
    you can indulge in creative writing in places like the <a href="http://lists.debian.org/debian-curiosa" target="_top"> debian-curiosa mailing
    list</a>, or in your blog that you can then have syndicated on <a href="http://planet.debian.org" target="_top">Planet Debian</a>.
    </p></li></ul></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch02s02.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch02.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch02s04.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Improving the content </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Ensuring sustainability</td></tr></table></div></body></html>
